Hooks:PostHook( WeaponFactoryTweakData, "init", "Mk18Mod0PrimModInit", function(self)
	self.parts.wpn_fps_smg_m4cqb_ro_carry.stance_mod = {
		wpn_fps_ass_mk18prim = {
			translation = Vector3(0, 0, -1.52),
			rotation = Rotation(0, 0, 0)
		}
	}	
	self.parts.wpn_fps_smg_m4cqb_ro_a2.stance_mod = {
		wpn_fps_ass_mk18prim = {
			translation = Vector3(0, 0, -1.52),
			rotation = Rotation(0, 0, 0)
		}
	}	
	local custom_weapon_id = "wpn_fps_ass_mk18prim"
	local stance_base_id = "wpn_fps_ass_s552"
	local uses_sights = {"wpn_fps_upg_o_specter","wpn_fps_upg_o_aimpoint","wpn_fps_upg_o_docter","wpn_fps_upg_o_eotech","wpn_fps_upg_o_t1micro","wpn_fps_upg_o_cmore","wpn_fps_upg_o_aimpoint_2","wpn_fps_upg_o_acog","wpn_fps_upg_o_eotech_xps","wpn_fps_upg_o_reflex","wpn_fps_upg_o_rx01","wpn_fps_upg_o_rx30","wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot","wpn_fps_upg_o_xpsg33_magnifier", "wpn_fps_upg_o_sig","wpn_fps_upg_o_bmg","wpn_fps_upg_o_uh","wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[ERROR] " .. custom_weapon_id .. " Missing stance_mod data for: " .. sight_id, stance_base_id)
		end
end
	self.wpn_fps_ass_mk18prim.override.wpn_fps_m4_uupg_m_std = { stats = { value = 1, extra_ammo = 5, total_ammo_mod = 0, recoil = 1, concealment = -1 } }
	self.wpn_fps_ass_mk18prim.override.wpn_fps_upg_m4_m_quad = { stats = { value = 1, extra_ammo = 20, total_ammo_mod = 0, spread = -1, recoil = 1, concealment = -4 } }
	self.wpn_fps_ass_mk18prim.override.wpn_fps_upg_m4_m_l5 = { stats = { value = 2, extra_ammo = 5, total_ammo_mod = 0, reload = 1, concealment = -1 } }
	self.wpn_fps_ass_mk18prim.override.wpn_fps_m4_upg_m_quick = { stats = { value = 2, extra_ammo = 5, total_ammo_mod = 0, recoil = 0, concealment = -2, reload = 6 } }
	self.wpn_fps_ass_mk18prim.override.wpn_fps_upg_m4_m_pmag = { stats = { value = 1, extra_ammo = 5, total_ammo_mod = 0, reload = 1, concealment = -1 } }
	self.wpn_fps_ass_mk18prim.override.wpn_fps_ass_l85a2_m_emag = { stats = { value = 2, extra_ammo = 5, total_ammo_mod = 0, reload = 1, concealment = -1 } }
	
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_mk18prim = {translation = Vector3(-2.62, 0, -12.7),rotation = Rotation(0, 0, -45)}
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_mk18prim = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_mk18prim)
	self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_ass_mk18prim = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_mk18prim)
end)