Hooks:PostHook(WeaponTweakData, "init", "Mk18Mod0PrimModInit", function(self)
self.mk18prim_crew = deep_clone(self.s552_crew)
if not self.m4cqb and self.mk18prim then
	self.mk18prim.use_data.selection_index = 3
log("[ERROR] NO MAIN MK 18 MOD 0 MOD")
end
if self.SetupAttachmentPoint then	
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_b",
		base_a_obj = "a_b",
		position = Vector3(0, -34.3, 1.76),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_b_m933",
		base_a_obj = "a_b",
		position = Vector3(0, -32.04, 1.76),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_b_m4",
		base_a_obj = "a_b",
		position = Vector3(0, -24.18, 1.76),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_b_m16",
		base_a_obj = "a_b",
		position = Vector3(0, -11.33, 1.76),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3(0, 2, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_dh",
		base_a_obj = "a_body",
		position = Vector3(0, -0.3, 10.1),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_bolt",
		base_a_obj = "a_body",
		part_attach_data = {
            {"wpn_fps_smg_m4cqb_bo_dummy"},
            "g_bolt"
        },
		position = Vector3(0.8, 13, 8.5),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_bolt_dummy",
		base_a_obj = "a_body",
		position = Vector3(0, 0, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_g",
		base_a_obj = "a_g",
		position = Vector3(0, 2, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint("mk18prim", {
		name = "a_m", 
        base_a_obj = "a_m", 
		part_attach_data = {
            {"wpn_fps_smg_m4cqb_m_dummy"},
            "g_mag"
        },
        position = Vector3( 0.1, -13.3, 3.3),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_m_dummy",
		base_a_obj = "a_m",
		position = Vector3(0, 0, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_s",
		base_a_obj = "a_s",
		position = Vector3(0, 2.8, 3),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_o",
		base_a_obj = "a_o",
		position = Vector3(0, -1, 0.7),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_or",
		base_a_obj = "a_o",
		position = Vector3(0, -15.5, 0.7),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_of",
		base_a_obj = "a_o",
		position = Vector3(0, 22.5, 0.7),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_of_m5",
		base_a_obj = "a_o",
		position = Vector3(0, 36.22, 0.7),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_vg",
		base_a_obj = "a_body",
		position = Vector3(0, 28, 5),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_vg_ddm4",
		base_a_obj = "a_body",
		position = Vector3(0, 28, 5.7),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3(0, 0, 1.2),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_fl_ddm4",
		base_a_obj = "a_fl",
		position = Vector3(0.35, 0, 1.2),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_fl_m5",
		base_a_obj = "a_fl",
		position = Vector3(0.75, 0, 1.2),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_rc_l_ddm4",
		base_a_obj = "a_body",
		position = Vector3(-0.35, 2, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_rc_l_m5",
		base_a_obj = "a_body",
		position = Vector3(-0.7, 2, 0),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "mk18prim", {
		name = "a_gb_m16",
		base_a_obj = "a_body",
		position = Vector3(0, 15.72, 0),
		rotation = RotationCAP(0, 0, 0)
	})
end
end)